/*
* Licensed Materials - Property of IBM
* 5725-G92 (C) Copyright IBM Corp. 2006, 2012. All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*/

var activeUsersTab = function () {
	// Private
	var months = ['January ', 'February ', 'March ', 'April ', 'May ', 'June ', 'July ', 'August ', 'September ',  'October ', 'November ', 'December '];
	function findMaxUsers(data) {
		var maxNumberOfUsers = data[0].numberOfUsers;
		for (var i = 0; i < data.length; i += 1) {
			if (data[i].numberOfUsers > maxNumberOfUsers) {
				maxNumberOfUsers = data[i].numberOfUsers;
			}
		}

		return maxNumberOfUsers;
	}

	return {
		// Public
		init: function () {
			services.hideFeedback();
			this.loadActiveUsersList();
			services.translate();
		},
		loadActiveUsersList: function () {
			var activeUsersList = '';

			activeUsersList += '{{each data}}';
			activeUsersList += '<tr>';
			activeUsersList += '	<td class="dateCol">${$item.formatDate($value.year, $value.month, $value.day)}</td>';
			activeUsersList += '	<td class="numberOfUsers">${$value.numberOfUsers}</td>';
			activeUsersList += '	<td><img height="10px" width="${$item.calcWidth($value.numberOfUsers)}" src="images/line.gif"></td>';
			activeUsersList += '</tr>';
			activeUsersList += '{{/each}}';

			$.template("activeUsersList", activeUsersList);

			$.get('api/reports/dailyUsageStats', function (data) {
				var maxUsers = findMaxUsers(data);
				var width = $('#activeUsers #numberOfUsers').width();
				$.tmpl('activeUsersList', {data: data}, {
							formatDate: function (year, month, day) {
								return day + '-' + months[month - 1] + '-' + year;
							},
							calcWidth : function (numberOfUsers) {
								if (maxUsers > 0) {
									return (numberOfUsers / maxUsers) * width;
								} else {
									return 0;
								}
							}
						}).appendTo($('#activeUsersTable tbody').empty());
			}).error(function () {
				errorConnectingToServer();
			});
		}
	}
}();